commit:     b6444e6687880e9a8098511814fd126536b345cd
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 19 08:18:27 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Oct 19 08:19:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6444e66

dev-python/cffi: version bump to 1.11.2

 dev-python/cffi/Manifest           |  1 +
 dev-python/cffi/cffi-1.11.2.ebuild | 50 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/cffi/Manifest b/dev-python/cffi/Manifest
index 4babd3e42d7..7ebec555aca 100644
--- a/dev-python/cffi/Manifest
+++ b/dev-python/cffi/Manifest
@@ -1,3 +1,4 @@
 DIST cffi-1.10.0.tar.gz 418131 SHA256 
b3b02911eb1f6ada203b0763ba924234629b51586f72a21faacc638269f4ced5 SHA512 
02c9987c44698708dcb7e0aa17637df6b15f81732dc25b03e54563ca5664a817863b87daf7a782a62c7b6150388cdca858ef496a975ab289c86f05e5492465ef
 WHIRLPOOL 
577cd975c6937537184b19432d185461964e5b66e851b1e3c4a8a3cc4a6a3329689dc15da717fb1921380af7479ca4dc9cb98c92a3763fe982abc582c012f474
+DIST cffi-1.11.2.tar.gz 435142 SHA256 
ab87dd91c0c4073758d07334c1e5f712ce8fe48f007b86f8238773963ee700a6 SHA512 
8ccd8988bb6b4beb760abe5d8cac7cbf65a7dcfad5a535343e5961912751f426fdf6e602a983430e6aa9f56f2f623855b0cfb5ed8e5294a95d122866a4533eda
 WHIRLPOOL 
103c9d2681cc88c33677ea9c31eab059b0e061814a9178899d0a589fae2d1059289f0d352ff99cd4bf378649a3ae9af6af783445d91845487ef10b1a99327642
 DIST cffi-1.5.2.tar.gz 388793 SHA256 
da9bde99872e46f7bb5cff40a9b1cc08406765efafb583c704de108b6cb821dd SHA512 
3c707db85032bc13287beec0211d85a7b9f9dfcb87844adba3a86b23211acd495e88072ec23f22e7c7626d25cadd5b9843c34255d4080eefb171020ad0a2d552
 WHIRLPOOL 
35cfd86d06dcc2bb2a0e8e196f06d5df0eeaa6dd65d13dc4489284108fa596a88f46918c5b70e38584965290d141f5cbf0e2bcb469c3316cd1962109d77889dd
 DIST cffi-1.9.1.tar.gz 407108 SHA256 
563e0bd53fda03c151573217b3a49b3abad8813de9dd0632e10090f6190fdaf8 SHA512 
6e76f181b6b7b760a14ad70338edd104a8b8e2eac5680e336d3868e0bd031a1665608e29a65dc0c56806afb8a8c03811586f151f3acef11e54e60c1bfcf902e3
 WHIRLPOOL 
12f9c044b7552520e5fe373fe85b0437734cee79a3f9a7eb1ec107ee877c85830e7f5d327d4a4a9504176cdb207a44e169ab52896a78459f00af285fd660c106

diff --git a/dev-python/cffi/cffi-1.11.2.ebuild 
b/dev-python/cffi/cffi-1.11.2.ebuild
new file mode 100644
index 00000000000..63bcc319097
--- /dev/null
+++ b/dev-python/cffi/cffi-1.11.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# DO NOT ADD pypy to PYTHON_COMPAT
+# pypy bundles a modified version of cffi. Use python_gen_cond_dep instead.
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Foreign Function Interface for Python calling C code"
+HOMEPAGE="https://cffi.readthedocs.io/ https://pypi.python.org/pypi/cffi";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="doc test"
+
+RDEPEND="
+       virtual/libffi
+       dev-python/pycparser[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+# Avoid race on _configtest.c 
(distutils/command/config.py:_gen_temp_sourcefile)
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       einfo "$PYTHONPATH"
+       $PYTHON -c "import _cffi_backend as backend" || die
+       PYTHONPATH="${PYTHONPATH}" \
+       py.test -x -v \
+               --ignore testing/test_zintegration.py \
+               --ignore testing/embedding \
+               c/ testing/ \
+               || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to